@font-face {
    font-family: Funnel Sans;
    src: url(/FunnelSans-VariableFont_wght.ttf) format("truetype-variations");
}
body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Funnel Sans", sans-serif;
    background-color: white;
}

body.umfragen .umfragentitle {
    text-align: center;
    font-size: 50px;
    margin-top: 4px;
    font-family: 'Courier New', Courier, monospace;
    color: #2cbdea;
    align-content: center;
    justify-content: center;
}

body.login {
    background-image: linear-gradient(#062238, #062238,rgb(0, 0, 0), rgb(0, 0, 0), rgb(0, 0, 0));
    color: white;
}

body.login main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 80vh;
    gap: 20px;
}

body.login #links {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

body.login form {
    display: flex;
    flex-direction: column;
    gap: 12px;
    width: 300px;
}

body.login form input {
    padding: 8px;
    font-size: 16px;
    text-align: center;
    color: white;
    border: white solid 1px;
    background-color: transparent;
    border-radius: 4px;
}

body.login form button {
    padding: 10px;
    font-size: 18px;
    background-color: #2cbdea;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

body.login form button:hover {
    background-color: #1b9ec8;
}

body.login #message {
    margin-top: 12px;
    font-size: 16px;
    color: red;
}

body.login button {
    padding: 10px;
    font-size: 18px;
    background-color: #2cbdea;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

body.login button:hover {
    background-color: #1b9ec8;
}  

body.login a {
    color: #2cbdea;
    text-decoration: none;
    font-size: 16px;
}

.title {
    text-align: center;
    font-size: 100px;
    margin-top: 4px;
    font-family: 'Courier New', Courier, monospace;
    color: #2cbdea;
}

header {
    background-color: #062238;
    color: white;
    padding: 10px 0;
    text-align: right;
    height: 100px;
    position: sticky;
    top: 0;
    z-index: 1000;
}


nav {
    position: absolute;
    right: 12px;
    top: 50px;
    display: flex;
    justify-content: flex-end;
    gap: 20px;
    padding-right: 20px;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 20px;
}

nav ul li {
    display: inline;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    padding: 8px 16px;
    border-radius: 4px;
}

main {
    padding: 12px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    text-align: center;
    justify-content: center;
}

p {
    font-size: 20px;
    color: #333;
    text-align: center;
}


.logo {
    height: 100px;
    position: absolute;
    left: 10px;
}

#aktuelle-umfragen {
    width: 100%;
    height: 500px;
    border: none;

}


body.umfragen a {
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    background-image: radial-gradient(#2cbdea, #062238);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-decoration: none;
    padding: 12px 24px;
    border-radius: 4px;
    border: 2px solid #2cbdea;
    display: inline-block;
}
body.umfragen a:hover {
    background-image: radial-gradient(#2cbdea, #062238);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    border-color: #2cbdea;
}

body.umfragen#umfragenLink {
    margin: 50px !important;
    padding: 12px !important;
}

a.disabled {
    pointer-events: none;
    color: #2cbdea;
    text-decoration: none;
    font-size: 18px;
    padding: 8px 16px;
    border-radius: 4px;
}

a#points {
    position: relative;
    transform: translateX(-50%);
    transform: translateY(-25%);
    background-image: radial-gradient(#2cbdea, #062238);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-decoration: none;
    padding: 8px 16px;
    border-radius: 4px;
    border: 2px solid #2cbdea;
    display: none;
    /*display: inline-block;*/
}